org.omg.CORBA

## Interface IDLType

All Superinterfaces:
  IDLEntity, IDLTypeOperations, IRObject, IRObjectOperations, Object, Serializable

All Known Implementing Classes:
  _IDLTypeStub

    public interface IDLType
    extends IDLTypeOperations, IRObject, IDLEntity

An abstract interface inherited by all Interface Repository (IR) objects that represent OMG IDL types. It provides access to the `TypeCode` object describing the type and is used in defining the other interfaces wherever definitions of `IDLType` must be referenced.

### Method Summary

### Methods inherited from interface org.omg.CORBA.IDLTypeOperations

`type`

### Methods inherited from interface org.omg.CORBA.IRObjectOperations

`def_kind, destroy`

### Methods inherited from interface org.omg.CORBA.Object

`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.